commit: 1bae8d933a2bddb9211a945c9126f7d0eee957ca
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 12 23:50:46 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 12 23:50:46 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bae8d93
dev-python/pytest-qt: Fix dying on test failures
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-qt/pytest-qt-4.0.2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-python/pytest-qt/pytest-qt-4.0.2.ebuild
b/dev-python/pytest-qt/pytest-qt-4.0.2.ebuild
index f2e45a6dfdb4..ccbeafed2185 100644
--- a/dev-python/pytest-qt/pytest-qt-4.0.2.ebuild
+++ b/dev-python/pytest-qt/pytest-qt-4.0.2.ebuild
@@ -50,10 +50,10 @@ src_test() {
python_test() {
distutils_install_for_testing
- PYTEST_QT_API="pyqt5" epytest
+ PYTEST_QT_API="pyqt5" epytest || die
if [[ "${EPYTHON}" == "python3.10" ]]; then
return
else
- PYTEST_QT_API="pyside2" epytest
+ PYTEST_QT_API="pyside2" epytest || die
fi
}